#ifndef AUXILIARIES_H_
#define AUXILIARIES_H_

typedef double decimal;

#define EulerGamma 0.577215664901532860606512090082402431042159335939923598805767
#define Zeta3 1.20205690315959428539973816151144999076498629234049888179227
#define Pi 3.14159265358979323846264338327950288419716939937510582097494
#define Zeta5 1.0369277551433699263313654864570341680570809195019

const int digits=8;

const int ndimAD=4;

const int ncompAD=4;
const int ncompADc=2;

double f(decimal y,decimal tl);
decimal u(double z);
decimal v(double w);
double a(double z);
decimal b(double c);
decimal t(double s);
decimal tl(double sl);
decimal y(double x);
decimal Rx(double qx);
decimal A(decimal u, decimal v);
decimal T(decimal u, decimal v);
decimal Tk1(decimal t, decimal t5, decimal tl);
decimal Tk2(decimal t, decimal t5, decimal tl);
decimal Ck1(decimal t, decimal t5, decimal tl);
decimal Ck2(decimal t, decimal t5, decimal tl);
decimal Tkcm(decimal tl, decimal t, decimal Rx);
decimal Tkcp(decimal tl, decimal t, decimal Rx);
decimal Cl(decimal tl);
decimal Ck(decimal tk);

double FA1(decimal v,decimal tl,decimal y,decimal t5,decimal u,decimal b);
double FA2(decimal v,decimal tl,decimal y,decimal t5,decimal u,decimal b);
double FB1(decimal v,decimal tl,decimal y,decimal t5,decimal u,decimal b);
double FB2(decimal v,decimal tl,decimal y,decimal t5,decimal u,decimal b);

double FA(decimal v,decimal tl,decimal y,decimal tk,decimal u,decimal b);
double FB(decimal v,decimal tl,decimal y,decimal tk,decimal u,decimal b);

double GAa(decimal r,decimal y,decimal tkl,decimal tk,decimal tl,decimal b);
double GAb(decimal r,decimal y,decimal tkl,decimal tk,decimal tl,decimal b);

double GB(decimal q,decimal y,decimal tkl,decimal tk,decimal tl,decimal b);

int ADLap(const int *ndim, const double x[],
const int *ncomp, double F[], void *userdata);

int ADLapc(const int *ndim, const double x[],
const int *ncomp, double F[], void *userdata);

int ADMom(const int *ndim, const double x[],
const int *ncomp, double F[], void *userdata);

int ADMomc(const int *ndim, const double x[],
const int *ncomp, double F[], void *userdata);

extern const int seed;
extern const int flags;

extern const int maxpass2;
extern const int maxpass3;
extern const int maxpass4;
extern const int maxpass5;

extern const double border;
extern const double maxchisq;
extern const double mindev;

extern const double epsrel2;
extern const double epsabs2;
extern const double epsrel3;
extern const double epsabs3;
extern const double epsrel4;
extern const double epsabs4;
extern const double epsrel5;
extern const double epsabs5;

extern const long long int maxeval2;
extern const long long int maxeval3;
extern const long long int maxeval4;
extern const long long int maxeval5;

extern const int key12;
extern const int key22;
extern const int key32;
extern const int key13;
extern const int key23;
extern const int key33;
extern const int key14;
extern const int key24;
extern const int key34;
extern const int key15;
extern const int key25;
extern const int key35;

inline double ReturnDouble(decimal a) {
	return a;
}

#endif /* AUXILIARIES_H_ */
