/*
 * This file contains all prefactors that mix the various eps- and alpha-orders of the integrations after the integrations are performed 
 * to arrive at the correct eps- and alpha-orders of the full bare soft function. The notation is such that PreEiAj is the eps^i alpha^j 
 * order of the Prefactor associated with colour structure Cf^2, same-hemisphere contribution only.
 */

#include <Auxiliaries.h>
#include <Prefactors.h>
#include <Input_Common.h>
#include <cmath>
using namespace std;

double PreE0A0=8192*pow(mexp,2)*pow(Pi,-2);
double PreE1A0=-49152*log(2)*pow(mexp,2)*pow(Pi,-2);
double PreE2A0=8192*pow(mexp,2)*pow(Pi,-2)*(pow(Pi,2) + 18*pow(log(2),2));
double PreE3A0=(-16384*pow(mexp,2)*pow(Pi,-2)*(-28*Zeta3 + 9*log(2)*pow(Pi,2) + 54*pow(log(2),3)))/3.;
double PreE4A0=(4096*pow(mexp,2)*pow(Pi,-2)*(-672*Zeta3*log(2) + 7*pow(Pi,4) + 108*pow(Pi,2)*pow(log(2),2) + 324*pow(log(2),4)))/3.;

double PreEM1A1=-4096*pow(mexp,2)*pow(Pi,-2);
double PreE0A1=24576*log(2)*pow(mexp,2)*pow(Pi,-2);
double PreE1A1=(4096*pow(mexp,2)*pow(Pi,-2)*(5*pow(Pi,2) - 54*pow(log(2),2)))/3.;
double PreE2A1=(8192*pow(mexp,2)*pow(Pi,-2)*(68*Zeta3 - 15*log(2)*pow(Pi,2) + 54*pow(log(2),3)))/3.;
double PreE3A1=(2048*pow(mexp,2)*pow(Pi,-2)*(-24480*Zeta3*log(2) + 391*pow(Pi,4) + 2700*pow(Pi,2)*pow(log(2),2) - 4860*pow(log(2),4)))/45.;

double PreEM2A2=2048*pow(mexp,2)*pow(Pi,-2);
double PreEM1A2=-12288*log(2)*pow(mexp,2)*pow(Pi,-2);
double PreE0A2=(-2048*pow(mexp,2)*pow(Pi,-2)*(pow(Pi,2) - 54*pow(log(2),2)))/3.;
double PreE1A2=(4096*pow(mexp,2)*pow(Pi,-2)*(28*Zeta3 + 3*log(2)*pow(Pi,2) - 54*pow(log(2),3)))/3.;
double PreE2A2=(1024*pow(mexp,2)*pow(Pi,-2)*(-10080*Zeta3*log(2) + 433*pow(Pi,4) - 540*pow(Pi,2)*pow(log(2),2) + 4860*pow(log(2),4)))/45.;
